package com.glxp.mipsdl.res.ucloud;

import java.io.Serializable;
import java.util.List;

public class UPurchaseinQueryResponse implements Serializable {


    /**
     * parentvo : {"bassetcard":false,"bdirecttranflag":false,"cbilltypecode":"45","cgeneralhid":"1013F81000000001W9L6","clastmodiid":"0001F8100000000063KL","lastmodi_code":"15260195777","lastmodi_name":"黄其敏","cregister":"0001F8100000000004OD","register_code":"15305066246","register_name":"林艺敏","daccountdate":"2021-03-01","fbillflag":"3","pk_purcorp":"1013","purcorp_code":"1110","purcorp_name":"福建片仔癀诊断技术有限公司","taccounttime":"2021-03-01 11:48:30","tlastmoditime":"2021-03-01 10:11:46","tmaketime":"2021-03-01 10:11:46","ts":"2021-03-01 11:48:30","cbizid":"1013F8100000000002ER","employee_code":"0044","employee_name":"洪璇","cbiztype":"1013F81000000000022L","biztype_code":"C010","biztype_name":"采购","cdptid":"1013F8100000000002CP","dept_code":"02","dept_name":"采购部","coperatorid":"0001F8100000000063KL","operator_code":"15260195777","operator_name":"黄其敏","cproviderid":"1013F8100000000004KB","provider_code":"09004","provider_name":"江苏康捷医疗器械有限公司","cwarehouseid":"1013F8100000000002E1","warehouseid_code":"0602","warehouseid_name":"产成品合格仓","pk_calbody":"1013F8100000000002DN","calbody_code":"1110","calbody_name":"福建片仔癀诊断技术有限公司","pk_corp":"1013","corp_code":"1110","corp_name":"福建片仔癀诊断技术有限公司","vnote":"1364","vbillcode":"CR2103010001","dbilldate":"2021-03-01","freplenishflag":false}
     * childrenvo : [{"bbarcodeclose":false,"bonroadflag":false,"breturnprofit":false,"bsafeprice":false,"bsourcelargess":false,"bsupplyflag":false,"btoinzgflag":false,"btoouttoiaflag":false,"btou8rm":false,"bzgflag":true,"cbodybilltypecode":"45","cbodywarehouseid":"1013F8100000000002E1","bodywarehouse_code":"0602","bodywarehouse_name":"产成品合格仓","cfirstbillbid":"1013F81000000001W9IM","cfirstbillhid":"1013F81000000001W9IL","cfirsttype":"21","cgeneralbid":"1013F81000000001W9L9","cgeneralhid":"1013F81000000001W9L6","crowno":"10","csourcebillbid":"1013F81000000001W9J1","csourcebillhid":"1013F81000000001W9J0","csourcetype":"23","dbizdate":"2021-03-01","dvalidate":"2023-01-01","dzgdate":"2021-03-01","fassertcardflag":false,"fchecked":"0","flargess":false,"idesatype":"0","isok":true,"cinventoryid":"1013F81000000001VTFJ","inventory_code":"1203021783","inventory_name":"一次性使用人体静脉血样采集容器（肝素钠）","invspec":"5ml","invtype":"苏械注准20152221307","cvendorid":"1013F8100000000004KB","vendor_code":"09004","vendor_name":"江苏康捷医疗器械有限公司","nbarcodenum":0,"ninnum":600,"nmny":183.19,"nprice":0.31,"npricesettlebill":"0","nshouldinnum":600,"pk_bodycalbody":"1013F8100000000002DN","bodycalbody_code":"1110","bodycalbody_name":"福建片仔癀诊断技术有限公司","pk_corp":"1013","corp_code":"1110","corp_name":"福建片仔癀诊断技术有限公司","pk_invoicecorp":"1013","invoicecorp_code":"1110","invoicecorp_name":"福建片仔癀诊断技术有限公司","pk_reqcorp":"1013","reqcorp_code":"1110","reqcorp_name":"福建片仔癀诊断技术有限公司","ts":"2021-03-02 17:10:02","vbatchcode":"20210104","vfirstbillcode":"CD2103010001","vsourcebillcode":"DH2103010001","vsourcerowno":"10"}]
     */

    private ParentvoBean parentvo;
    private List<ChildrenvoBean> childrenvo;

    public ParentvoBean getParentvo() {
        return parentvo;
    }

    public void setParentvo(ParentvoBean parentvo) {
        this.parentvo = parentvo;
    }

    public List<ChildrenvoBean> getChildrenvo() {
        return childrenvo;
    }

    public void setChildrenvo(List<ChildrenvoBean> childrenvo) {
        this.childrenvo = childrenvo;
    }

    public static class ParentvoBean {
        /**
         * bassetcard : false
         * bdirecttranflag : false
         * cbilltypecode : 45
         * cgeneralhid : 1013F81000000001W9L6
         * clastmodiid : 0001F8100000000063KL
         * lastmodi_code : 15260195777
         * lastmodi_name : 黄其敏
         * cregister : 0001F8100000000004OD
         * register_code : 15305066246
         * register_name : 林艺敏
         * daccountdate : 2021-03-01
         * fbillflag : 3
         * pk_purcorp : 1013
         * purcorp_code : 1110
         * purcorp_name : 福建片仔癀诊断技术有限公司
         * taccounttime : 2021-03-01 11:48:30
         * tlastmoditime : 2021-03-01 10:11:46
         * tmaketime : 2021-03-01 10:11:46
         * ts : 2021-03-01 11:48:30
         * cbizid : 1013F8100000000002ER
         * employee_code : 0044
         * employee_name : 洪璇
         * cbiztype : 1013F81000000000022L
         * biztype_code : C010
         * biztype_name : 采购
         * cdptid : 1013F8100000000002CP
         * dept_code : 02
         * dept_name : 采购部
         * coperatorid : 0001F8100000000063KL
         * operator_code : 15260195777
         * operator_name : 黄其敏
         * cproviderid : 1013F8100000000004KB
         * provider_code : 09004
         * provider_name : 江苏康捷医疗器械有限公司
         * cwarehouseid : 1013F8100000000002E1
         * warehouseid_code : 0602
         * warehouseid_name : 产成品合格仓
         * pk_calbody : 1013F8100000000002DN
         * calbody_code : 1110
         * calbody_name : 福建片仔癀诊断技术有限公司
         * pk_corp : 1013
         * corp_code : 1110
         * corp_name : 福建片仔癀诊断技术有限公司
         * vnote : 1364
         * vbillcode : CR2103010001
         * dbilldate : 2021-03-01
         * freplenishflag : false
         */

        private boolean bassetcard;
        private boolean bdirecttranflag;
        private String cbilltypecode;
        private String cgeneralhid;
        private String clastmodiid;
        private String lastmodi_code;
        private String lastmodi_name;
        private String cregister;
        private String register_code;
        private String register_name;
        private String daccountdate;
        private String fbillflag;
        private String pk_purcorp;
        private String purcorp_code;
        private String purcorp_name;
        private String taccounttime;
        private String tlastmoditime;
        private String tmaketime;
        private String ts;
        private String cbizid;
        private String employee_code;
        private String employee_name;
        private String cbiztype;
        private String biztype_code;
        private String biztype_name;
        private String cdptid;
        private String dept_code;
        private String dept_name;
        private String coperatorid;
        private String operator_code;
        private String operator_name;
        private String cproviderid;
        private String provider_code;
        private String provider_name;
        private String cwarehouseid;
        private String warehouseid_code;
        private String warehouseid_name;
        private String pk_calbody;
        private String calbody_code;
        private String calbody_name;
        private String pk_corp;
        private String corp_code;
        private String corp_name;
        private String vnote;
        private String vbillcode;
        private String dbilldate;
        private boolean freplenishflag;

        public boolean isBassetcard() {
            return bassetcard;
        }

        public void setBassetcard(boolean bassetcard) {
            this.bassetcard = bassetcard;
        }

        public boolean isBdirecttranflag() {
            return bdirecttranflag;
        }

        public void setBdirecttranflag(boolean bdirecttranflag) {
            this.bdirecttranflag = bdirecttranflag;
        }

        public String getCbilltypecode() {
            return cbilltypecode;
        }

        public void setCbilltypecode(String cbilltypecode) {
            this.cbilltypecode = cbilltypecode;
        }

        public String getCgeneralhid() {
            return cgeneralhid;
        }

        public void setCgeneralhid(String cgeneralhid) {
            this.cgeneralhid = cgeneralhid;
        }

        public String getClastmodiid() {
            return clastmodiid;
        }

        public void setClastmodiid(String clastmodiid) {
            this.clastmodiid = clastmodiid;
        }

        public String getLastmodi_code() {
            return lastmodi_code;
        }

        public void setLastmodi_code(String lastmodi_code) {
            this.lastmodi_code = lastmodi_code;
        }

        public String getLastmodi_name() {
            return lastmodi_name;
        }

        public void setLastmodi_name(String lastmodi_name) {
            this.lastmodi_name = lastmodi_name;
        }

        public String getCregister() {
            return cregister;
        }

        public void setCregister(String cregister) {
            this.cregister = cregister;
        }

        public String getRegister_code() {
            return register_code;
        }

        public void setRegister_code(String register_code) {
            this.register_code = register_code;
        }

        public String getRegister_name() {
            return register_name;
        }

        public void setRegister_name(String register_name) {
            this.register_name = register_name;
        }

        public String getDaccountdate() {
            return daccountdate;
        }

        public void setDaccountdate(String daccountdate) {
            this.daccountdate = daccountdate;
        }

        public String getFbillflag() {
            return fbillflag;
        }

        public void setFbillflag(String fbillflag) {
            this.fbillflag = fbillflag;
        }

        public String getPk_purcorp() {
            return pk_purcorp;
        }

        public void setPk_purcorp(String pk_purcorp) {
            this.pk_purcorp = pk_purcorp;
        }

        public String getPurcorp_code() {
            return purcorp_code;
        }

        public void setPurcorp_code(String purcorp_code) {
            this.purcorp_code = purcorp_code;
        }

        public String getPurcorp_name() {
            return purcorp_name;
        }

        public void setPurcorp_name(String purcorp_name) {
            this.purcorp_name = purcorp_name;
        }

        public String getTaccounttime() {
            return taccounttime;
        }

        public void setTaccounttime(String taccounttime) {
            this.taccounttime = taccounttime;
        }

        public String getTlastmoditime() {
            return tlastmoditime;
        }

        public void setTlastmoditime(String tlastmoditime) {
            this.tlastmoditime = tlastmoditime;
        }

        public String getTmaketime() {
            return tmaketime;
        }

        public void setTmaketime(String tmaketime) {
            this.tmaketime = tmaketime;
        }

        public String getTs() {
            return ts;
        }

        public void setTs(String ts) {
            this.ts = ts;
        }

        public String getCbizid() {
            return cbizid;
        }

        public void setCbizid(String cbizid) {
            this.cbizid = cbizid;
        }

        public String getEmployee_code() {
            return employee_code;
        }

        public void setEmployee_code(String employee_code) {
            this.employee_code = employee_code;
        }

        public String getEmployee_name() {
            return employee_name;
        }

        public void setEmployee_name(String employee_name) {
            this.employee_name = employee_name;
        }

        public String getCbiztype() {
            return cbiztype;
        }

        public void setCbiztype(String cbiztype) {
            this.cbiztype = cbiztype;
        }

        public String getBiztype_code() {
            return biztype_code;
        }

        public void setBiztype_code(String biztype_code) {
            this.biztype_code = biztype_code;
        }

        public String getBiztype_name() {
            return biztype_name;
        }

        public void setBiztype_name(String biztype_name) {
            this.biztype_name = biztype_name;
        }

        public String getCdptid() {
            return cdptid;
        }

        public void setCdptid(String cdptid) {
            this.cdptid = cdptid;
        }

        public String getDept_code() {
            return dept_code;
        }

        public void setDept_code(String dept_code) {
            this.dept_code = dept_code;
        }

        public String getDept_name() {
            return dept_name;
        }

        public void setDept_name(String dept_name) {
            this.dept_name = dept_name;
        }

        public String getCoperatorid() {
            return coperatorid;
        }

        public void setCoperatorid(String coperatorid) {
            this.coperatorid = coperatorid;
        }

        public String getOperator_code() {
            return operator_code;
        }

        public void setOperator_code(String operator_code) {
            this.operator_code = operator_code;
        }

        public String getOperator_name() {
            return operator_name;
        }

        public void setOperator_name(String operator_name) {
            this.operator_name = operator_name;
        }

        public String getCproviderid() {
            return cproviderid;
        }

        public void setCproviderid(String cproviderid) {
            this.cproviderid = cproviderid;
        }

        public String getProvider_code() {
            return provider_code;
        }

        public void setProvider_code(String provider_code) {
            this.provider_code = provider_code;
        }

        public String getProvider_name() {
            return provider_name;
        }

        public void setProvider_name(String provider_name) {
            this.provider_name = provider_name;
        }

        public String getCwarehouseid() {
            return cwarehouseid;
        }

        public void setCwarehouseid(String cwarehouseid) {
            this.cwarehouseid = cwarehouseid;
        }

        public String getWarehouseid_code() {
            return warehouseid_code;
        }

        public void setWarehouseid_code(String warehouseid_code) {
            this.warehouseid_code = warehouseid_code;
        }

        public String getWarehouseid_name() {
            return warehouseid_name;
        }

        public void setWarehouseid_name(String warehouseid_name) {
            this.warehouseid_name = warehouseid_name;
        }

        public String getPk_calbody() {
            return pk_calbody;
        }

        public void setPk_calbody(String pk_calbody) {
            this.pk_calbody = pk_calbody;
        }

        public String getCalbody_code() {
            return calbody_code;
        }

        public void setCalbody_code(String calbody_code) {
            this.calbody_code = calbody_code;
        }

        public String getCalbody_name() {
            return calbody_name;
        }

        public void setCalbody_name(String calbody_name) {
            this.calbody_name = calbody_name;
        }

        public String getPk_corp() {
            return pk_corp;
        }

        public void setPk_corp(String pk_corp) {
            this.pk_corp = pk_corp;
        }

        public String getCorp_code() {
            return corp_code;
        }

        public void setCorp_code(String corp_code) {
            this.corp_code = corp_code;
        }

        public String getCorp_name() {
            return corp_name;
        }

        public void setCorp_name(String corp_name) {
            this.corp_name = corp_name;
        }

        public String getVnote() {
            return vnote;
        }

        public void setVnote(String vnote) {
            this.vnote = vnote;
        }

        public String getVbillcode() {
            return vbillcode;
        }

        public void setVbillcode(String vbillcode) {
            this.vbillcode = vbillcode;
        }

        public String getDbilldate() {
            return dbilldate;
        }

        public void setDbilldate(String dbilldate) {
            this.dbilldate = dbilldate;
        }

        public boolean isFreplenishflag() {
            return freplenishflag;
        }

        public void setFreplenishflag(boolean freplenishflag) {
            this.freplenishflag = freplenishflag;
        }
    }

    public static class ChildrenvoBean implements Serializable {
        /**
         * bbarcodeclose : false
         * bonroadflag : false
         * breturnprofit : false
         * bsafeprice : false
         * bsourcelargess : false
         * bsupplyflag : false
         * btoinzgflag : false
         * btoouttoiaflag : false
         * btou8rm : false
         * bzgflag : true
         * cbodybilltypecode : 45
         * cbodywarehouseid : 1013F8100000000002E1
         * bodywarehouse_code : 0602
         * bodywarehouse_name : 产成品合格仓
         * cfirstbillbid : 1013F81000000001W9IM
         * cfirstbillhid : 1013F81000000001W9IL
         * cfirsttype : 21
         * cgeneralbid : 1013F81000000001W9L9
         * cgeneralhid : 1013F81000000001W9L6
         * crowno : 10
         * csourcebillbid : 1013F81000000001W9J1
         * csourcebillhid : 1013F81000000001W9J0
         * csourcetype : 23
         * dbizdate : 2021-03-01
         * dvalidate : 2023-01-01
         * dzgdate : 2021-03-01
         * fassertcardflag : false
         * fchecked : 0
         * flargess : false
         * idesatype : 0
         * isok : true
         * cinventoryid : 1013F81000000001VTFJ
         * inventory_code : 1203021783
         * inventory_name : 一次性使用人体静脉血样采集容器（肝素钠）
         * invspec : 5ml
         * invtype : 苏械注准20152221307
         * cvendorid : 1013F8100000000004KB
         * vendor_code : 09004
         * vendor_name : 江苏康捷医疗器械有限公司
         * nbarcodenum : 0
         * ninnum : 600
         * nmny : 183.19
         * nprice : 0.31
         * npricesettlebill : 0
         * nshouldinnum : 600
         * pk_bodycalbody : 1013F8100000000002DN
         * bodycalbody_code : 1110
         * bodycalbody_name : 福建片仔癀诊断技术有限公司
         * pk_corp : 1013
         * corp_code : 1110
         * corp_name : 福建片仔癀诊断技术有限公司
         * pk_invoicecorp : 1013
         * invoicecorp_code : 1110
         * invoicecorp_name : 福建片仔癀诊断技术有限公司
         * pk_reqcorp : 1013
         * reqcorp_code : 1110
         * reqcorp_name : 福建片仔癀诊断技术有限公司
         * ts : 2021-03-02 17:10:02
         * vbatchcode : 20210104
         * vfirstbillcode : CD2103010001
         * vsourcebillcode : DH2103010001
         * vsourcerowno : 10
         */

        private boolean bbarcodeclose;
        private boolean bonroadflag;
        private boolean breturnprofit;
        private boolean bsafeprice;
        private boolean bsourcelargess;
        private boolean bsupplyflag;
        private boolean btoinzgflag;
        private boolean btoouttoiaflag;
        private boolean btou8rm;
        private boolean bzgflag;
        private String cbodybilltypecode;
        private String cbodywarehouseid;
        private String bodywarehouse_code;
        private String bodywarehouse_name;
        private String cfirstbillbid;
        private String cfirstbillhid;
        private String cfirsttype;
        private String cgeneralbid;
        private String cgeneralhid;
        private String crowno;
        private String csourcebillbid;
        private String csourcebillhid;
        private String csourcetype;
        private String dbizdate;
        private String dvalidate;
        private String dzgdate;
        private boolean fassertcardflag;
        private String fchecked;
        private boolean flargess;
        private String idesatype;
        private boolean isok;
        private String cinventoryid;
        private String inventory_code;
        private String inventory_name;
        private String invspec;
        private String invtype;
        private String cvendorid;
        private String vendor_code;
        private String vendor_name;
        private int nbarcodenum;
        private int ninnum;
        private double nmny;
        private double nprice;
        private String npricesettlebill;
        private int nshouldinnum;
        private String pk_bodycalbody;
        private String bodycalbody_code;
        private String bodycalbody_name;
        private String pk_corp;
        private String corp_code;
        private String corp_name;
        private String pk_invoicecorp;
        private String invoicecorp_code;
        private String invoicecorp_name;
        private String pk_reqcorp;
        private String reqcorp_code;
        private String reqcorp_name;
        private String ts;
        private String vbatchcode;
        private String vfirstbillcode;
        private String vsourcebillcode;
        private String vsourcerowno;

        public boolean isBbarcodeclose() {
            return bbarcodeclose;
        }

        public void setBbarcodeclose(boolean bbarcodeclose) {
            this.bbarcodeclose = bbarcodeclose;
        }

        public boolean isBonroadflag() {
            return bonroadflag;
        }

        public void setBonroadflag(boolean bonroadflag) {
            this.bonroadflag = bonroadflag;
        }

        public boolean isBreturnprofit() {
            return breturnprofit;
        }

        public void setBreturnprofit(boolean breturnprofit) {
            this.breturnprofit = breturnprofit;
        }

        public boolean isBsafeprice() {
            return bsafeprice;
        }

        public void setBsafeprice(boolean bsafeprice) {
            this.bsafeprice = bsafeprice;
        }

        public boolean isBsourcelargess() {
            return bsourcelargess;
        }

        public void setBsourcelargess(boolean bsourcelargess) {
            this.bsourcelargess = bsourcelargess;
        }

        public boolean isBsupplyflag() {
            return bsupplyflag;
        }

        public void setBsupplyflag(boolean bsupplyflag) {
            this.bsupplyflag = bsupplyflag;
        }

        public boolean isBtoinzgflag() {
            return btoinzgflag;
        }

        public void setBtoinzgflag(boolean btoinzgflag) {
            this.btoinzgflag = btoinzgflag;
        }

        public boolean isBtoouttoiaflag() {
            return btoouttoiaflag;
        }

        public void setBtoouttoiaflag(boolean btoouttoiaflag) {
            this.btoouttoiaflag = btoouttoiaflag;
        }

        public boolean isBtou8rm() {
            return btou8rm;
        }

        public void setBtou8rm(boolean btou8rm) {
            this.btou8rm = btou8rm;
        }

        public boolean isBzgflag() {
            return bzgflag;
        }

        public void setBzgflag(boolean bzgflag) {
            this.bzgflag = bzgflag;
        }

        public String getCbodybilltypecode() {
            return cbodybilltypecode;
        }

        public void setCbodybilltypecode(String cbodybilltypecode) {
            this.cbodybilltypecode = cbodybilltypecode;
        }

        public String getCbodywarehouseid() {
            return cbodywarehouseid;
        }

        public void setCbodywarehouseid(String cbodywarehouseid) {
            this.cbodywarehouseid = cbodywarehouseid;
        }

        public String getBodywarehouse_code() {
            return bodywarehouse_code;
        }

        public void setBodywarehouse_code(String bodywarehouse_code) {
            this.bodywarehouse_code = bodywarehouse_code;
        }

        public String getBodywarehouse_name() {
            return bodywarehouse_name;
        }

        public void setBodywarehouse_name(String bodywarehouse_name) {
            this.bodywarehouse_name = bodywarehouse_name;
        }

        public String getCfirstbillbid() {
            return cfirstbillbid;
        }

        public void setCfirstbillbid(String cfirstbillbid) {
            this.cfirstbillbid = cfirstbillbid;
        }

        public String getCfirstbillhid() {
            return cfirstbillhid;
        }

        public void setCfirstbillhid(String cfirstbillhid) {
            this.cfirstbillhid = cfirstbillhid;
        }

        public String getCfirsttype() {
            return cfirsttype;
        }

        public void setCfirsttype(String cfirsttype) {
            this.cfirsttype = cfirsttype;
        }

        public String getCgeneralbid() {
            return cgeneralbid;
        }

        public void setCgeneralbid(String cgeneralbid) {
            this.cgeneralbid = cgeneralbid;
        }

        public String getCgeneralhid() {
            return cgeneralhid;
        }

        public void setCgeneralhid(String cgeneralhid) {
            this.cgeneralhid = cgeneralhid;
        }

        public String getCrowno() {
            return crowno;
        }

        public void setCrowno(String crowno) {
            this.crowno = crowno;
        }

        public String getCsourcebillbid() {
            return csourcebillbid;
        }

        public void setCsourcebillbid(String csourcebillbid) {
            this.csourcebillbid = csourcebillbid;
        }

        public String getCsourcebillhid() {
            return csourcebillhid;
        }

        public void setCsourcebillhid(String csourcebillhid) {
            this.csourcebillhid = csourcebillhid;
        }

        public String getCsourcetype() {
            return csourcetype;
        }

        public void setCsourcetype(String csourcetype) {
            this.csourcetype = csourcetype;
        }

        public String getDbizdate() {
            return dbizdate;
        }

        public void setDbizdate(String dbizdate) {
            this.dbizdate = dbizdate;
        }

        public String getDvalidate() {
            return dvalidate;
        }

        public void setDvalidate(String dvalidate) {
            this.dvalidate = dvalidate;
        }

        public String getDzgdate() {
            return dzgdate;
        }

        public void setDzgdate(String dzgdate) {
            this.dzgdate = dzgdate;
        }

        public boolean isFassertcardflag() {
            return fassertcardflag;
        }

        public void setFassertcardflag(boolean fassertcardflag) {
            this.fassertcardflag = fassertcardflag;
        }

        public String getFchecked() {
            return fchecked;
        }

        public void setFchecked(String fchecked) {
            this.fchecked = fchecked;
        }

        public boolean isFlargess() {
            return flargess;
        }

        public void setFlargess(boolean flargess) {
            this.flargess = flargess;
        }

        public String getIdesatype() {
            return idesatype;
        }

        public void setIdesatype(String idesatype) {
            this.idesatype = idesatype;
        }

        public boolean isIsok() {
            return isok;
        }

        public void setIsok(boolean isok) {
            this.isok = isok;
        }

        public String getCinventoryid() {
            return cinventoryid;
        }

        public void setCinventoryid(String cinventoryid) {
            this.cinventoryid = cinventoryid;
        }

        public String getInventory_code() {
            return inventory_code;
        }

        public void setInventory_code(String inventory_code) {
            this.inventory_code = inventory_code;
        }

        public String getInventory_name() {
            return inventory_name;
        }

        public void setInventory_name(String inventory_name) {
            this.inventory_name = inventory_name;
        }

        public String getInvspec() {
            return invspec;
        }

        public void setInvspec(String invspec) {
            this.invspec = invspec;
        }

        public String getInvtype() {
            return invtype;
        }

        public void setInvtype(String invtype) {
            this.invtype = invtype;
        }

        public String getCvendorid() {
            return cvendorid;
        }

        public void setCvendorid(String cvendorid) {
            this.cvendorid = cvendorid;
        }

        public String getVendor_code() {
            return vendor_code;
        }

        public void setVendor_code(String vendor_code) {
            this.vendor_code = vendor_code;
        }

        public String getVendor_name() {
            return vendor_name;
        }

        public void setVendor_name(String vendor_name) {
            this.vendor_name = vendor_name;
        }

        public int getNbarcodenum() {
            return nbarcodenum;
        }

        public void setNbarcodenum(int nbarcodenum) {
            this.nbarcodenum = nbarcodenum;
        }

        public int getNinnum() {
            return ninnum;
        }

        public void setNinnum(int ninnum) {
            this.ninnum = ninnum;
        }

        public double getNmny() {
            return nmny;
        }

        public void setNmny(double nmny) {
            this.nmny = nmny;
        }

        public double getNprice() {
            return nprice;
        }

        public void setNprice(double nprice) {
            this.nprice = nprice;
        }

        public String getNpricesettlebill() {
            return npricesettlebill;
        }

        public void setNpricesettlebill(String npricesettlebill) {
            this.npricesettlebill = npricesettlebill;
        }

        public int getNshouldinnum() {
            return nshouldinnum;
        }

        public void setNshouldinnum(int nshouldinnum) {
            this.nshouldinnum = nshouldinnum;
        }

        public String getPk_bodycalbody() {
            return pk_bodycalbody;
        }

        public void setPk_bodycalbody(String pk_bodycalbody) {
            this.pk_bodycalbody = pk_bodycalbody;
        }

        public String getBodycalbody_code() {
            return bodycalbody_code;
        }

        public void setBodycalbody_code(String bodycalbody_code) {
            this.bodycalbody_code = bodycalbody_code;
        }

        public String getBodycalbody_name() {
            return bodycalbody_name;
        }

        public void setBodycalbody_name(String bodycalbody_name) {
            this.bodycalbody_name = bodycalbody_name;
        }

        public String getPk_corp() {
            return pk_corp;
        }

        public void setPk_corp(String pk_corp) {
            this.pk_corp = pk_corp;
        }

        public String getCorp_code() {
            return corp_code;
        }

        public void setCorp_code(String corp_code) {
            this.corp_code = corp_code;
        }

        public String getCorp_name() {
            return corp_name;
        }

        public void setCorp_name(String corp_name) {
            this.corp_name = corp_name;
        }

        public String getPk_invoicecorp() {
            return pk_invoicecorp;
        }

        public void setPk_invoicecorp(String pk_invoicecorp) {
            this.pk_invoicecorp = pk_invoicecorp;
        }

        public String getInvoicecorp_code() {
            return invoicecorp_code;
        }

        public void setInvoicecorp_code(String invoicecorp_code) {
            this.invoicecorp_code = invoicecorp_code;
        }

        public String getInvoicecorp_name() {
            return invoicecorp_name;
        }

        public void setInvoicecorp_name(String invoicecorp_name) {
            this.invoicecorp_name = invoicecorp_name;
        }

        public String getPk_reqcorp() {
            return pk_reqcorp;
        }

        public void setPk_reqcorp(String pk_reqcorp) {
            this.pk_reqcorp = pk_reqcorp;
        }

        public String getReqcorp_code() {
            return reqcorp_code;
        }

        public void setReqcorp_code(String reqcorp_code) {
            this.reqcorp_code = reqcorp_code;
        }

        public String getReqcorp_name() {
            return reqcorp_name;
        }

        public void setReqcorp_name(String reqcorp_name) {
            this.reqcorp_name = reqcorp_name;
        }

        public String getTs() {
            return ts;
        }

        public void setTs(String ts) {
            this.ts = ts;
        }

        public String getVbatchcode() {
            return vbatchcode;
        }

        public void setVbatchcode(String vbatchcode) {
            this.vbatchcode = vbatchcode;
        }

        public String getVfirstbillcode() {
            return vfirstbillcode;
        }

        public void setVfirstbillcode(String vfirstbillcode) {
            this.vfirstbillcode = vfirstbillcode;
        }

        public String getVsourcebillcode() {
            return vsourcebillcode;
        }

        public void setVsourcebillcode(String vsourcebillcode) {
            this.vsourcebillcode = vsourcebillcode;
        }

        public String getVsourcerowno() {
            return vsourcerowno;
        }

        public void setVsourcerowno(String vsourcerowno) {
            this.vsourcerowno = vsourcerowno;
        }
    }
}
